require 'studio_game/game'
require 'studio_game/player'


module StudioGame
  describe Game do
    before do
      @zelda = Game.new("Zelda")
      @initial_health = 100
      @player = Player.new("steve", @initial_health)
      @zelda.add_player(@player)

    end
    it "should have a title" do
      @zelda.title.should == "Zelda"
    end

    it "should be able to add players" do
      @zelda.players.size.should == 1
      p5 = Player.new("Juaquin")
      @zelda.add_player(p5)
      @zelda.players.size.should == 2
    end

    it "w00ts a player if a high number is rolled" do
      Die.any_instance.stub(:roll).and_return(5)
      @zelda.play(1)
      @player.health.should == @initial_health + 15
    end

    it "passes a player if a medium number is rolled" do
      Die.any_instance.stub(:roll).and_return(3)
      @zelda.play(1)
      @player.health.should == @initial_health
    end

    it "blams a player if a low number is rolled" do
      Die.any_instance.stub(:roll).and_return(2)
      @zelda.play(1)
      @player.health.should == @initial_health - 10
    end




  end
end
